com.tibbo.aggregate.common.server

## Class WorkflowContextConstants

- java.lang.Object
- - com.tibbo.aggregate.common.server.WorkflowContextConstants

-     public class WorkflowContextConstants
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `WorkflowContextConstants.ELEMENTS`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `A_EDIT`
    `static java.lang.String` | `A_LAUNCH`
    `static java.lang.String` | `E_WORKFLOW_EXECUTION`
    `static java.lang.String` | `E_WORKFLOW_EXECUTION_ERROR`
    `static java.lang.String` | `EF_EXECUTION_ERROR`
    `static java.lang.String` | `EF_EXECUTION_ERROR_ELEMENT`
    `static java.lang.String` | `EF_EXECUTION_ERROR_STACK`
    `static java.lang.String` | `EF_WORKFLOW_EXECUTION_ELEMENT`
    `static java.lang.String` | `EF_WORKFLOW_EXECUTION_INPUT_VALUE`
    `static java.lang.String` | `F_ANALYZE`
    `static java.lang.String` | `F_ELEMENT_PARAMETERS`
    `static java.lang.String` | `F_EXECUTE`
    `static java.lang.String` | `F_GET_COMPONENTS`
    `static java.lang.String` | `FIELD_NAME`
    `static java.lang.String` | `FIELD_TYPE`
    `static java.lang.String` | `FIELD_VARIABLES`
    `static java.lang.String` | `FIF_EXECUTE_ACTION`
    `static java.lang.String` | `FIF_EXECUTE_ACTION_DEFAULT_TABLE`
    `static java.lang.String` | `FIF_THREAD_POOL_ACTIVE_COUNT`
    `static java.lang.String` | `FIF_THREAD_POOL_COMPLETED_COUNT`
    `static java.lang.String` | `FIF_THREAD_POOL_CORE_SIZE`
    `static java.lang.String` | `FIF_THREAD_POOL_LARGEST_SIZE`
    `static java.lang.String` | `FIF_THREAD_POOL_MAXIMUM_SIZE`
    `static java.lang.String` | `FIF_THREAD_POOL_QUEUE_LENGTH`
    `static java.lang.String` | `FIF_THREAD_POOL_TOTAL_COUNT`
    `static java.lang.String` | `FOF_ANALYZE_COMPONENT_NAME`
    `static java.lang.String` | `FOF_ANALYZE_MESSAGE`
    `static java.lang.String` | `FOF_ANALYZE_TYPE_MESSAGE`
    `static java.lang.String` | `FOF_COMPONENTS_ACTION_DEFINITIONS`
    `static java.lang.String` | `FOF_COMPONENTS_DESCRIPTION`
    `static java.lang.String` | `FOF_COMPONENTS_EVENT_DEFINITIONS`
    `static java.lang.String` | `FOF_COMPONENTS_FUNCTION_DEFINITIONS`
    `static java.lang.String` | `FOF_COMPONENTS_GROUP`
    `static java.lang.String` | `FOF_COMPONENTS_HELP_ID`
    `static java.lang.String` | `FOF_COMPONENTS_ICON`
    `static java.lang.String` | `FOF_COMPONENTS_KEY`
    `static java.lang.String` | `FOF_COMPONENTS_VARIABLE_DEFINITIONS`
    `static java.lang.String` | `FOF_COMPONENTS_VISIBLE`
    `static TableFormat` | `FOFT_ANALYZE`
    `static TableFormat` | `FOFT_GET_COMPONENTS`
    `static java.lang.String` | `V_ARGUMENTS`
    `static java.lang.String` | `V_COMPONENTS`
    `static java.lang.String` | `V_FIXED_ARGUMENTS`
    `static java.lang.String` | `V_THREAD_POOL_STATUS`
    `static java.lang.String` | `VF_TEMPLATE`
    `static TableFormat` | `WORKFLOW_ELEMENT_FORMAT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkflowContextConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### V_ARGUMENTS

          public static final java.lang.String V_ARGUMENTS

      See Also:
        Constant Field Values

    - #### V_FIXED_ARGUMENTS

          public static final java.lang.String V_FIXED_ARGUMENTS

      See Also:
        Constant Field Values

    - #### A_EDIT

          public static final java.lang.String A_EDIT

      See Also:
        Constant Field Values

    - #### F_EXECUTE

          public static final java.lang.String F_EXECUTE

      See Also:
        Constant Field Values

    - #### F_ANALYZE

          public static final java.lang.String F_ANALYZE

      See Also:
        Constant Field Values

    - #### FIF_EXECUTE_ACTION_DEFAULT_TABLE

          public static final java.lang.String FIF_EXECUTE_ACTION_DEFAULT_TABLE

      See Also:
        Constant Field Values

    - #### FIF_EXECUTE_ACTION

          public static final java.lang.String FIF_EXECUTE_ACTION

      See Also:
        Constant Field Values

    - #### A_LAUNCH

          public static final java.lang.String A_LAUNCH

      See Also:
        Constant Field Values

    - #### V_THREAD_POOL_STATUS

          public static final java.lang.String V_THREAD_POOL_STATUS

      See Also:
        Constant Field Values

    - #### FIF_THREAD_POOL_ACTIVE_COUNT

          public static final java.lang.String FIF_THREAD_POOL_ACTIVE_COUNT

      See Also:
        Constant Field Values

    - #### FIF_THREAD_POOL_COMPLETED_COUNT

          public static final java.lang.String FIF_THREAD_POOL_COMPLETED_COUNT

      See Also:
        Constant Field Values

    - #### FIF_THREAD_POOL_TOTAL_COUNT

          public static final java.lang.String FIF_THREAD_POOL_TOTAL_COUNT

      See Also:
        Constant Field Values

    - #### FIF_THREAD_POOL_CORE_SIZE

          public static final java.lang.String FIF_THREAD_POOL_CORE_SIZE

      See Also:
        Constant Field Values

    - #### FIF_THREAD_POOL_LARGEST_SIZE

          public static final java.lang.String FIF_THREAD_POOL_LARGEST_SIZE

      See Also:
        Constant Field Values

    - #### FIF_THREAD_POOL_MAXIMUM_SIZE

          public static final java.lang.String FIF_THREAD_POOL_MAXIMUM_SIZE

      See Also:
        Constant Field Values

    - #### FIF_THREAD_POOL_QUEUE_LENGTH

          public static final java.lang.String FIF_THREAD_POOL_QUEUE_LENGTH

      See Also:
        Constant Field Values

    - #### E_WORKFLOW_EXECUTION

          public static final java.lang.String E_WORKFLOW_EXECUTION

      See Also:
        Constant Field Values

    - #### EF_WORKFLOW_EXECUTION_ELEMENT

          public static final java.lang.String EF_WORKFLOW_EXECUTION_ELEMENT

      See Also:
        Constant Field Values

    - #### EF_WORKFLOW_EXECUTION_INPUT_VALUE

          public static final java.lang.String EF_WORKFLOW_EXECUTION_INPUT_VALUE

      See Also:
        Constant Field Values

    - #### E_WORKFLOW_EXECUTION_ERROR

          public static final java.lang.String E_WORKFLOW_EXECUTION_ERROR

      See Also:
        Constant Field Values

    - #### EF_EXECUTION_ERROR_ELEMENT

          public static final java.lang.String EF_EXECUTION_ERROR_ELEMENT

      See Also:
        Constant Field Values

    - #### EF_EXECUTION_ERROR

          public static final java.lang.String EF_EXECUTION_ERROR

      See Also:
        Constant Field Values

    - #### EF_EXECUTION_ERROR_STACK

          public static final java.lang.String EF_EXECUTION_ERROR_STACK

      See Also:
        Constant Field Values

    - #### VF_TEMPLATE

          public static final java.lang.String VF_TEMPLATE

      See Also:
        Constant Field Values

    - #### FOFT_GET_COMPONENTS

          public static final TableFormat FOFT_GET_COMPONENTS

    - #### F_GET_COMPONENTS

          public static final java.lang.String F_GET_COMPONENTS

      See Also:
        Constant Field Values

    - #### FOF_COMPONENTS_KEY

          public static final java.lang.String FOF_COMPONENTS_KEY

      See Also:
        Constant Field Values

    - #### FOF_COMPONENTS_DESCRIPTION

          public static final java.lang.String FOF_COMPONENTS_DESCRIPTION

      See Also:
        Constant Field Values

    - #### FOF_COMPONENTS_GROUP

          public static final java.lang.String FOF_COMPONENTS_GROUP

      See Also:
        Constant Field Values

    - #### FOF_COMPONENTS_ICON

          public static final java.lang.String FOF_COMPONENTS_ICON

      See Also:
        Constant Field Values

    - #### FOF_COMPONENTS_HELP_ID

          public static final java.lang.String FOF_COMPONENTS_HELP_ID

      See Also:
        Constant Field Values

    - #### FOF_COMPONENTS_VISIBLE

          public static final java.lang.String FOF_COMPONENTS_VISIBLE

      See Also:
        Constant Field Values

    - #### FOF_COMPONENTS_VARIABLE_DEFINITIONS

          public static final java.lang.String FOF_COMPONENTS_VARIABLE_DEFINITIONS

      See Also:
        Constant Field Values

    - #### FOF_COMPONENTS_EVENT_DEFINITIONS

          public static final java.lang.String FOF_COMPONENTS_EVENT_DEFINITIONS

      See Also:
        Constant Field Values

    - #### FOF_COMPONENTS_FUNCTION_DEFINITIONS

          public static final java.lang.String FOF_COMPONENTS_FUNCTION_DEFINITIONS

      See Also:
        Constant Field Values

    - #### FOF_COMPONENTS_ACTION_DEFINITIONS

          public static final java.lang.String FOF_COMPONENTS_ACTION_DEFINITIONS

      See Also:
        Constant Field Values

    - #### V_COMPONENTS

          public static final java.lang.String V_COMPONENTS

      See Also:
        Constant Field Values

    - #### F_ELEMENT_PARAMETERS

          public static final java.lang.String F_ELEMENT_PARAMETERS

      See Also:
        Constant Field Values

    - #### FOFT_ANALYZE

          public static final TableFormat FOFT_ANALYZE

    - #### FOF_ANALYZE_COMPONENT_NAME

          public static final java.lang.String FOF_ANALYZE_COMPONENT_NAME

      See Also:
        Constant Field Values

    - #### FOF_ANALYZE_MESSAGE

          public static final java.lang.String FOF_ANALYZE_MESSAGE

      See Also:
        Constant Field Values

    - #### FOF_ANALYZE_TYPE_MESSAGE

          public static final java.lang.String FOF_ANALYZE_TYPE_MESSAGE

      See Also:
        Constant Field Values

    - #### FIELD_NAME

          public static final java.lang.String FIELD_NAME

      See Also:
        Constant Field Values

    - #### FIELD_TYPE

          public static final java.lang.String FIELD_TYPE

      See Also:
        Constant Field Values

    - #### FIELD_VARIABLES

          public static final java.lang.String FIELD_VARIABLES

      See Also:
        Constant Field Values

    - #### WORKFLOW_ELEMENT_FORMAT

          public static TableFormat WORKFLOW_ELEMENT_FORMAT

  - ### Constructor Detail

    - #### WorkflowContextConstants

          public WorkflowContextConstants()